"""Metatask that cleans up old cleanup tasks."""

from orchestrator.services.processes import start_process

from gso.schedules.scheduling import CronScheduleConfig, scheduler
from gso.worker import celery


@celery.task
@scheduler(CronScheduleConfig(name="Clean up tasks", hour="23"))
def clean_old_tasks() -> None:
    """Run all cleanup tasks every 11 PM UTC."""
    start_process("task_clean_old_tasks")
